class Electeur:
    def __init__(self, nom, prenom, empreinte_digitale):
        self.nom = nom
        self.prenom = prenom
        self.empreinte_digitale = empreinte_digitale
        self.carte_election = None
        self.code_pin = None

    def recevoir_carte_election(self, carte_election):
        self.carte_election = carte_election

    def definir_code_pin(self, code_pin):
        self.code_pin = code_pin

    def authentifier(self):
        return self.carte_election.est_authentique(self.empreinte_digitale, self.code_pin)
