class Machine2:
    def __init__(self, certificat):
        self.certificat = certificat
        self.liste_electorale = {}
        self.bdd_votes = []
        self.bdd_preuves = []

    def charger_liste_electorale(self, liste_electorale):
        self.liste_electorale = liste_electorale

    def authentifier_electeur(self, electeur):
        return electeur.authentifier() and electeur.carte_election.cle_publique in self.liste_electorale

    def enregistrer_vote(self, preuve_vote):
        self.bdd_votes.append(preuve_vote['vote'])
        self.bdd_preuves.append(preuve_vote)

    def publier_resultats(self):
        return self.bdd_votes

    def fin_de_vote(self):
        # Bloquer les nouveaux votes
        self.bloque = True
